summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDaniel Campbell <zlg@gentoo.org>2017-01-02 05:18:17 -0800
committerDaniel Campbell <zlg@gentoo.org>2017-01-02 06:06:55 -0800
commit0e4f8f3d09b8bdc6aa10452eaff9d7d930a4767d (patch)
treecd1f6b7dd9a1882062a0a60ce2b5442815dcdfbe
parentmedia-sound/easytag: Move to ~sparc as this is probably not used by many of i... (diff)
downloadgentoo-0e4f8f3d09b8bdc6aa10452eaff9d7d930a4767d.tar.gz
gentoo-0e4f8f3d09b8bdc6aa10452eaff9d7d930a4767d.tar.bz2
gentoo-0e4f8f3d09b8bdc6aa10452eaff9d7d930a4767d.zip
x11-misc/alock: version "bump"
Google Code has shut down and upstream supplied a proper version to target. Package-Manager: Portage-2.3.3, Repoman-2.3.1
-rw-r--r--x11-misc/alock/Manifest1
-rw-r--r--x11-misc/alock/alock-1.0.0.ebuild73
2 files changed, 74 insertions, 0 deletions
diff --git a/x11-misc/alock/Manifest b/x11-misc/alock/Manifest
index 873c2cd1149..36e419eb140 100644
--- a/x11-misc/alock/Manifest
+++ b/x11-misc/alock/Manifest
@@ -1,2 +1,3 @@
+DIST alock-1.0.0.tar.gz 71497 SHA256 011a75e612c12947b0428168386e0b4e71610e4c05330239a07ae8c74f6505aa SHA512 7f2515410919ef1324019cd8d218650f54537f9fddf1d74bebd255c7572eff9433ded92f2d1f4ee5f352151dd15f4a7f53f7b639f82d4e6f936f831262d508a5 WHIRLPOOL f6931fdbf3b16fe50625dd4c95d6c056ab3b733d416c842ea7db9499ecef8ea39b1f4c6254be0f6d4ba594830bb1979ec5f107d43e7f076dfbbbb3997d661752
DIST alock-94.zip 93058 SHA256 7f283b775902b5b3bdebd498e3d295408a0e603c5e1ff4863806d3844e3c70ce SHA512 3f321ebbb5526f6d1f66c7e80d2e0126ca15cb614b8ffd2ebbb824bff8d87a1eb4d8db1b33edb294398c9919d99e9983a2db7555a1330e3cb5307be369ef0e50 WHIRLPOOL 555ee700dbe1b6c376344ee1fe72bfc75c3d135c501a91f42f46e3904fd52eebcdb0f6fc2705abc7e5ed9c748d4a9003d58b419a41ffd9e070965e47ef98109a
DIST alock-svn-94.tar.bz2 68140 SHA256 37938b56588e0e9bdfdf52097bccd000f992ea725c87cd8c8b3ea4df847e8f26 SHA512 91166bf6ca4fa715754048b9ac39367f691dbaef7ac39cbe32a92541a00cb522de9070b35bb70646f53cb7f32f7a8028455a5c7bcb0729c6948a089304a26a64 WHIRLPOOL 5c28a8ca3da7b4d31c9fa4994f1ddda3a11a73ea7719d96238b41651bf80a4be99bd7b5f159264ed0495ebc63d20e220769ffe205afb523b49c2c7bcbfadd932
diff --git a/x11-misc/alock/alock-1.0.0.ebuild b/x11-misc/alock/alock-1.0.0.ebuild
new file mode 100644
index 00000000000..b1d6201b7a8
--- /dev/null
+++ b/x11-misc/alock/alock-1.0.0.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit eutils toolchain-funcs
+
+# we need this since there are no tagged releases yet
+DESCRIPTION="locks the local X display until a password is entered"
+HOMEPAGE="http://darkshed.net/projects/alock
+ https://github.com/mgumz/alock"
+SRC_URI="https://github.com/mgumz/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="doc imlib pam"
+
+DEPEND="x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXpm
+ x11-libs/libXrender
+ x11-libs/libXcursor
+ imlib? ( media-libs/imlib2[X] )
+ pam? ( virtual/pam )
+ doc? ( app-text/asciidoc )"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ epatch "${FILESDIR}"/implicit_pointer_conversion_fix_amd64.patch
+ epatch "${FILESDIR}"/check-setuid.patch
+ epatch "${FILESDIR}"/tidy-printf.patch
+ epatch "${FILESDIR}"/fix-aliasing.patch
+ epatch "${FILESDIR}"/no-xf86misc.patch
+ eapply_user
+}
+
+src_configure() {
+ tc-export CC
+
+ econf \
+ --prefix=/usr \
+ --with-all \
+ $(use_with pam) \
+ $(use_with imlib imlib2)
+}
+
+src_compile() {
+ # xmlto isn't required, so set to 'true' as dummy program
+ # alock.1 is suitable for a manpage
+ emake XMLTO=true
+}
+
+src_install() {
+ dobin src/alock
+ if use doc; then
+ # We need to generate the manpage...
+ a2x -d manpage -f manpage ./"${PN}".txt || die "a2x conversion failed."
+ doman alock.1
+ dodoc {CHANGELOG,README,TODO}.txt
+ fi
+
+ insinto /usr/share/alock/xcursors
+ doins contrib/xcursor-*
+
+ insinto /usr/share/alock/bitmaps
+ doins bitmaps/*
+
+ if ! use pam; then
+ # Sets suid so alock can correctly work with shadow
+ fperms 4755 /usr/bin/alock
+ fi
+}